Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.PaneBeforeDockEventArgs=function(){
Telerik.Web.UI.PaneBeforeDockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeDockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeDockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeDockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneDockedEventArgs=function(){
Telerik.Web.UI.PaneDockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneDockedEventArgs.prototype={};
Telerik.Web.UI.PaneDockedEventArgs.registerClass("Telerik.Web.UI.PaneDockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeUndockEventArgs=function(){
Telerik.Web.UI.PaneBeforeUndockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeUndockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeUndockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeUndockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneUndockedEventArgs=function(){
Telerik.Web.UI.PaneUndockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneUndockedEventArgs.prototype={};
Telerik.Web.UI.PaneUndockedEventArgs.registerClass("Telerik.Web.UI.PaneUndockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSlidingPane=function(_1){
Telerik.Web.UI.RadSlidingPane.initializeBase(this,[_1]);
this._title="";
this._enableResize=true;
this._enableDock=true;
this._parentPane=null;
this._resizeBarSize=4;
this._slideBorderSize=0;
this._isExpanded=false;
this._isDocked=false;
this._width=150;
this._height=150;
this._minWidth=60;
this._minHeight=60;
this._popupBehavior=null;
this._originalParent=null;
this._popupElement=null;
this._zone=null;
this._contentElement=null;
this._tableElement=null;
this._tabContainer=null;
this._resizeElement=null;
this.GetContentContainer=this.getContentContainer;
this.GetContent=this.getContent;
this.SetContent=this.setContent;
this.GetDockIconElement=this.getDockIconElement;
this.GetUndockIconElement=this.getUndockIconElement;
this.GetCollapseIconElement=this.getCollapseIconElement;
this.GetSlidingContainerTitle=this.getSlidingContainerTitle;
this.GetSlidingPaneResizeContainer=this.getSlidingPaneResizeContainer;
this.GetTabContainer=this.getTabContainer;
this.HideTab=this.hideTab;
this.ShowTab=this.showTab;
this.IsTabDisplayed=this.isTabDisplayed;
};
Telerik.Web.UI.RadSlidingPane.prototype={initialize:function(){
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"initialize");
this._popupElement=this.get_element();
this._zone=this.get_parent();
this._contentElement=this.getContentContainer();
this._tableElement=this._popupElement.getElementsByTagName("TABLE")[0];
this._tabContainer=this.getTabContainer();
this._resizeElement=this.getSlidingPaneResizeContainer();
var _2=this._zone;
var _3=this._tabContainer;
$addHandlers(_3,{"mousedown":_2._paneTab_OnMouseDown,"mouseover":_2._paneTab_OnMouseOver,"mouseout":_2._paneTab_OnMouseOut},_2);
var _4=this._popupElement;
$addHandlers(_4,{"mouseover":this._slidingContainer_OnMouseOver,"mouseout":this._slidingContainer_OnMouseOut},this);
var _5=this._resizeElement;
$addHandlers(_5,{"mouseover":this._resizeSlidePane_OnMouseOver,"mouseout":this._resizeSlidePane_OnMouseOut,"mousedown":this._resizeSlidePane_OnMouseDown},this);
_5.setAttribute("unselectable","on");
var _6=this.getDockIconElement();
$addHandlers(_6,{"mouseover":this._dockElement_OnMouseOver,"mouseout":this._dockElement_OnMouseOut,"mousedown":this._dockElement_OnMouseDown},this);
var _7=this.getUndockIconElement();
$addHandlers(_7,{"mouseover":this._undockElement_OnMouseOver,"mouseout":this._undockElement_OnMouseOut,"mousedown":this._undockElement_OnMouseDown},this);
var _8=this.getCollapseIconElement();
$addHandlers(_8,{"mouseover":this._collapseElement_OnMouseOver,"mouseout":this._collapseElement_OnMouseOut,"mousedown":this._collapseElement_OnMouseDown},this);
if(!$telerik.isIE&&_2._isHorizontalSlide()){
var _9=this._getTitleContainerElement();
if(_9!=null){
_9.style.lineHeight=1;
_9.innerHTML=this._title.split("").join("<br/>");
}
}
this._originalParent=_4.parentNode;
this._moveRootToParent(false);
var _a=this.get_splitter().getContainerElement().className;
_4.className=_a+" "+_4.className;
_4.style.border="0px none";
this.updateClientState();
},dispose:function(){
this._moveRootToParent(true);
if(this._popupBehavior){
this._popupBehavior.dispose();
this._popupBehavior=null;
}
this._originalParent=null;
var _b=this._tabContainer;
$clearHandlers(_b);
var _c=this._popupElement;
$clearHandlers(_c);
var _d=this._resizeElement;
$clearHandlers(_d);
var _e=this.getDockIconElement();
$clearHandlers(_e);
var _f=this.getUndockIconElement();
$clearHandlers(_f);
var _10=this.getCollapseIconElement();
$clearHandlers(_10);
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"dispose");
},get_enableResize:function(){
return this._enableResize;
},set_enableResize:function(_11){
this._enableResize=_11;
this.updateClientState();
},get_enableDock:function(){
return this._enableDock;
},set_enableDock:function(_12){
this._enableDock=_12;
this.updateClientState();
},set_title:function(_13){
this._title=_13;
var _14=this._getTitleContainerElement();
if(_14!=null){
if(this._zone){
if(!$telerik.isIE&&this._zone._isHorizontalSlide()){
_14.style.lineHeight=1;
_14.innerHTML=this._title.split("").join("<br/>");
}else{
_14.innerHTML=this._title;
}
}
}
var _15=this.getSlidingContainerTitle();
if(_15){
_15.innerHTML=this._title;
}
this.updateClientState();
},get_title:function(){
return this._title;
},get_expanded:function(){
return this._isExpanded;
},get_docked:function(){
return this._isDocked;
},get_parentPane:function(){
return this._parentPane;
},set_parentPane:function(_16){
this._parentPane=_16;
},add_docked:function(_17){
this.get_events().addHandler("docked",_17);
},remove_docked:function(_18){
this.get_events().removeHandler("docked",_18);
},add_undocked:function(_19){
this.get_events().addHandler("undocked",_19);
},remove_undocked:function(_1a){
this.get_events().removeHandler("undocked",_1a);
},add_beforeDock:function(_1b){
this.get_events().addHandler("beforeDock",_1b);
},remove_beforeDock:function(_1c){
this.get_events().removeHandler("beforeDock",_1c);
},add_beforeUndock:function(_1d){
this.get_events().addHandler("beforeUndock",_1d);
},remove_beforeUndock:function(_1e){
this.get_events().removeHandler("beforePaneUndocked",_1e);
},getContentContainer:function(){
if(!this._contentElement){
this._contentElement=$get("RAD_SLIDING_PANE_CONTENT_"+this.get_id());
}
return this._contentElement;
},get_pane:function(){
return this.get_parentPane().get_element();
},get_paneBounds:function(){
var _1f=this.get_pane();
return $telerik.getBounds(_1f);
},_show:function(x,y){
this._popupBehavior.set_x(x);
this._popupBehavior.set_y(y);
this._popupBehavior.show();
},get_slidingPaneBounds:function(){
var _22=this._popupElement;
var _23=(_22.style.display=="none"&&_22.style.visibility!="hidden")?true:false;
if(_23){
_22.style.visibility="hidden";
}
_22.style.display="";
if(!this._isDocked){
this._setSlidingContainerSize();
}
var _24=$telerik.getBounds(_22);
if(_23){
_22.style.display=="none";
_22.style.visibility="visible";
}
return _24;
},_fixIeHeight:function(_25,_26){
if("CSS1Compat"==document.compatMode){
var _27=(_25.offsetHeight-parseInt(_26));
if(_27>0){
var _28=(parseInt(_25.style.height)-_27);
if(_28>0){
_25.style.height=_28+"px";
}
}
}
},getContent:function(){
var _29=this._contentElement;
return _29.innerHTML;
},setContent:function(_2a){
var _2b=this._contentElement;
_2b.innerHTML=_2a;
},getDockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_DOCK_"+this.get_id());
},getDockIconWrapperElement:function(){
return this.getDockIconElement().parentNode;
},getUndockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_UNDOCK_"+this.get_id());
},getUnDockIconWrapperElement:function(){
return this.getUndockIconElement().parentNode;
},getCollapseIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_COLLAPSE_"+this.get_id());
},getCollapseIconWrapperElement:function(){
return this.getCollapseIconElement().parentNode;
},getSlidingContainerTitle:function(){
return $get("RAD_SPLITTER_SLIDING_TITLE_"+this.get_id());
},getSlidingPaneResizeContainer:function(){
if(!this._resizeElement){
this._resizeElement=$get("RAD_SPLITTER_SLIDING_ZONE_RESIZE_"+this.get_id());
}
return this._resizeElement;
},getTabContainer:function(){
if(!this._tabContainer){
this._tabContainer=$get("RAD_SLIDING_PANE_TAB_"+this.get_id());
}
return this._tabContainer;
},hideTab:function(){
var _2c=this._tabContainer;
if(_2c==null){
return;
}
_2c.style.display="none";
},showTab:function(){
var _2d=this._tabContainer;
if(_2d==null){
return;
}
_2d.style.display="";
},isTabDisplayed:function(){
var _2e=this._tabContainer;
if(_2e==null){
return false;
}
return (_2e.style.display!="none");
},_setTabDefaultState:function(){
var _2f=this._tabContainer;
if(_2f==null){
return false;
}
_2f.className="paneTabContainer";
},_setTabDockedState:function(){
var _30=this._tabContainer;
if(_30==null){
return false;
}
_30.className="paneTabContainerDocked";
},_setTabExpandedState:function(){
var _31=this._tabContainer;
if(_31==null){
return false;
}
_31.className="paneTabContainerExpanded";
},_resizeSlidePane_OnMouseOver:function(e){
var _33=this._resizeElement;
_33.className=(this._zone._isHorizontalSlide())?"slideContainerResizeOver":"slideContainerResizeOverHorizontal";
},_resizeSlidePane_OnMouseOut:function(e){
var _35=this._resizeElement;
_35.className=(this._zone._isHorizontalSlide())?"slideContainerResize":"slideContainerResizeHorizontal";
},_resizeSlidePane_OnMouseDown:function(e){
e.preventDefault();
e.stopPropagation();
var _37=this._zone;
var _38=_37._isHorizontalSlide();
this._maxDecreaseDelta=(_38)?this.get_width()-this.get_minWidth():this.get_height()-this.get_minHeight();
var _39=(_38)?this.get_maxWidth()-this.get_width():this.get_maxHeight()-this.get_height();
var _3a=this.get_parentPane();
var _3b=_3a._getAvailIncreaseDelta();
var _3c=this.get_splitter()._getAvailDecreaseDelta(_3a._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
var _3d=Math.min(_3c,_3b);
var _3e=_37.get_dockedPaneId();
if(_3e!=null){
var _3f=_37.getPaneById(_3e);
_3d+=(_38)?_3f.get_width():_3f.get_height();
}
_3d-=(_38)?this.get_width():this.get_height();
this._maxIncreaseDelta=Math.min(_39,_3d);
if(_37.isLeftDirection()||_37.isTopDirection()){
var t=this._maxIncreaseDelta;
this._maxIncreaseDelta=this._maxDecreaseDelta;
this._maxDecreaseDelta=t;
}
var _41=this._resizeElement;
var pos=$telerik.getLocation(_41);
if($telerik.isSafari&&_38){
var _43=$telerik.getLocation(_41.parentNode);
pos.y=_43.y;
}
this._mouseStartX=e.clientX;
this._mouseStartY=e.clientY;
this._handlerStartLeftPos=pos.x;
this._handlerStartTopPos=pos.y;
this._currentDelta=0;
this._mouseUpResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseUp);
this._mouseMoveResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseMove);
$addHandler(document,"mouseup",this._mouseUpResizeHandler);
$addHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=true;
return false;
},_resizeSlidePane_OnMouseUp:function(e){
$telerik.cancelRawEvent(e);
$removeHandler(document,"mouseup",this._mouseUpResizeHandler);
$removeHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=false;
if(this._helperBar){
this._helperBar.parentNode.removeChild(this._helperBar);
this._helperBar=null;
}
var _45=this._zone;
if(_45.isLeftDirection()||_45.isTopDirection()){
this._currentDelta*=-1;
}
if(!this.get_expanded()){
return false;
}
if(this._currentDelta&&this._currentDelta!=0){
var _46=new Telerik.Web.UI.PaneBeforeResizeEventArgs(this._currentDelta);
this.raiseEvent("beforeResize",_46);
if(!_46.get_cancel()){
var _47=null;
var _48=null;
var _49=_45._isHorizontalSlide();
var _4a=this.get_slidingPaneBounds();
if(_49){
_47=_4a.width+this._currentDelta;
}else{
_48=_4a.height+this._currentDelta;
}
this._setSlidingContainerSize(_47,_48);
var x=this._popupBehavior.get_x();
var y=this._popupBehavior.get_y();
if(_45.isLeftDirection()){
x-=this._currentDelta;
}else{
if(_45.isTopDirection()){
y-=this._currentDelta;
}
}
this._show(x,y);
var _4d=this.get_width();
var _4e=this.get_height();
if(_49){
this.set_width(_47);
}else{
this.set_height(_48);
}
$telerik.repaintChildren(this);
this.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4d,_4e));
}
}
return false;
},_resizeSlidePane_OnMouseMove:function(e){
e.preventDefault();
e.stopPropagation();
var _50=this._zone._isHorizontalSlide();
this._resizeMode=true;
var _51=150;
if(!this._helperBar){
var _52=document.createElement("TABLE");
_52.className=this.get_splitter().getContainerElement().className;
_52.style.borderCollapse="separate";
_52.cellSpacing=0;
_52.cellPadding=0;
_52.style.borderWidth="0px";
_52.style.background="";
var _53=document.createElement("TBODY");
_52.appendChild(_53);
var TR=document.createElement("TR");
_53.appendChild(TR);
var TD=document.createElement("TD");
TR.appendChild(TD);
var _56=document.createElement("DIV");
_56.className="helperBarSlideDrag";
if(_50){
_56.style.marginLeft=_51+"px";
_56.style.marginRight=_51+"px";
}else{
_56.style.marginTop=_51+"px";
_56.style.marginBottom=_51+"px";
}
TD.appendChild(_56);
_52.style.position="absolute";
_52.style.left=this._handlerStartLeftPos-(_50?_51:0)+"px";
_52.style.top=this._handlerStartTopPos-(!_50?_51:0)+"px";
this._helperBar=document.body.insertBefore(_52,document.body.firstChild);
var _57=this.get_parentPane();
if(_50){
$telerik.setOuterHeight(_56,_57.get_height());
$telerik.setOuterWidth(_56,3);
}else{
$telerik.setOuterWidth(_56,_57.get_width());
$telerik.setOuterHeight(_56,3);
}
this._helperBarDecoration=_56;
}
var _58=(_50)?e.clientX-this._mouseStartX:e.clientY-this._mouseStartY;
var _59=false;
if(_58<((-1)*this._maxDecreaseDelta)){
_59=true;
_58=this._maxDecreaseDelta*(-1);
}
if(_58>this._maxIncreaseDelta){
_59=true;
_58=this._maxIncreaseDelta;
}
if(this._resizeStep>0){
_58-=_58%this._resizeStep;
}
this._helperBarDecoration.className=(_50)?"helperBarSlideDrag":"helperBarSlideDragHorizontal";
var _5a=(_50)?"w-resize":"n-resize";
this._helperBarDecoration.style.cursor=_5a;
if(_50){
this._helperBar.style.left=this._handlerStartLeftPos+_58-_51+"px";
}else{
this._helperBar.style.top=this._handlerStartTopPos+_58-_51+"px";
}
this._helperBar.style.zIndex=this._popupElement.style.zIndex+1;
this._helperBar.style.cursor=_5a;
this._currentDelta=_58;
if(_59){
if(this._helperBarDecoration){
this._helperBarDecoration.className="helperBarSlideError";
}
}
return false;
},_slidingContainer_OnMouseOut:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
if(!this.get_expanded()){
return;
}
if(this._isMouseInPaneRectangle(e)){
return;
}
var _5c=this;
var f=function(){
var _5e=_5c._zone;
_5e._paneTabInMover=null;
_5e.collapsePane(_5c.get_id());
};
var _5f=this._zone;
window.clearTimeout(_5f._paneTabMoutTimeout);
_5f._paneTabMoutTimeout=window.setTimeout(f,1000);
},_slidingContainer_OnMouseOver:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
window.clearTimeout(this._zone._paneTabMoutTimeout);
},_dockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _62=this._zone;
if(!_62.collapsePane(this.get_id(),true)){
return;
}
_62.dockPane(this.get_id());
this.getDockIconElement().className="slideHeaderDockIcon";
},_dockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIconOver";
},_dockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIcon";
},_undockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_docked()){
return;
}
this._zone.undockPane(this.get_id());
},_undockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIconOver";
},_undockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_collapseElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _69=this._zone;
_69._paneTabInMover=null;
_69.collapsePane(this.get_id());
},_collapseElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIconOver";
},_collapseElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIcon";
},_expandSlidingContainer:function(){
var pos=23;
var _6d=true;
var _6e=this._zone;
var _6f=_6e.isBottomDirection();
if(_6e.isLeftDirection()){
pos=21;
_6d=false;
}else{
if(_6f){
pos=32;
}else{
if(_6e.isTopDirection()){
pos=12;
_6d=false;
}
}
}
if(this._animation){
this._animation.stop();
}
var _70=_6e._slideDuration/1000;
if(_70==0){
_70=0.001;
}
var _71=this._popupElement;
this._animation=new Telerik.Web.UI.Animations.SlideAnimation(this,_70,null,_71,pos,null);
var _72=this._tableElement;
this._animation.onShowStart=function(){
var _73=this.controller.get_slidingPaneBounds();
if(_6d){
if(_6f){
_72.style.bottom="0px";
}else{
if($telerik.isSafari){
_72.style.width=_73.width+"px";
}
_72.style.right="0px";
}
_72.style.position="absolute";
}
if(!$telerik.isIE){
var _74=this.controller._contentElement;
_74.style.overflow="hidden";
}
this.set_endBounds(_73);
};
this._animation.onEnd=function(){
if(_6d){
if(_6f){
_72.style.bottom="";
}else{
if($telerik.isSafari){
_72.style.width="100%";
}
_72.style.right="";
}
_72.style.position="";
}
if(!$telerik.isIE){
this.controller._configureScrolling();
}
if($telerik.getVisible(_71)){
this.controller._showOverlayElement(true);
}
$telerik.repaintChildren(this.controller);
this.controller.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
};
this._showOverlayElement(false);
this._animation.play();
},_collapseSlidingContainer:function(){
this._hideSlidingContainer();
try{
this._animation.stop();
}
catch(e){
}
this.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
},_setSlidingContainerSize:function(_75,_76){
var _77=this._contentElement;
_77.style.display="none";
var _78=this._zone;
if($telerik.isIE){
var _79=this.get_paneBounds();
}else{
var _7a=_78.getTabsContainer();
var _79=$telerik.getBounds(_7a);
}
var _7b=_78._isVerticalSlide();
if(_75==null){
_75=(!_7b)?this.get_width():_79.width;
}
if(_76==null){
_76=(_7b)?this.get_height():_79.height;
}
var _7c=this._popupElement;
_7c.style.width=_75+"px";
_7c.style.height=_76+"px";
var _7d=this._tableElement;
_7d.style.display="none";
var _7e=_7c.offsetHeight;
_7d.style.display="";
var _7f=_77.parentNode;
_7d.style.height=_7e+"px";
_7f.style.height="100%";
_7f.vAlign="top";
var _80=_7f.offsetHeight;
if($telerik.isIE){
if(this.get_enableResize()&&_7b){
var _81=$telerik.getBounds(this._resizeElement);
_80-=(_81.height);
}
var _82=this.getSlidingContainerTitle().parentNode.parentNode.parentNode.parentNode.parentNode.parentNode;
var _83=parseInt(_82.offsetHeight,10);
_80-=_83;
}
var _84=$telerik.getContentSize(_7f).width;
var _85=$telerik.getBorderBox(_77);
var _86=$telerik.getPaddingBox(_77);
var _87=$telerik.getMarginBox(_77);
var _88=_84-_85.horizontal-_86.horizontal-_87.horizontal;
_77.style.width=_88+"px";
_7f.style.height="";
_77.style.display="";
_7f.style.height=_80+"px";
this._fixIeHeight(_7f,_80);
_80-=(_85.vertical+_86.vertical+_87.vertical);
_77.style.height=_80+"px";
},_showSlidingContainer:function(){
var _89=this._popupElement;
$telerik.setVisible(_89,true);
},_hideSlidingContainer:function(){
var _8a=this._popupElement;
$telerik.setVisible(_8a,false);
this._showOverlayElement(false);
},_dockSlidingContainer:function(){
var _8b=this._popupElement;
_8b.style.position="static";
this._showOverlayElement(false);
_8b.firstChild.className="slideContainerDocked";
},_unDockSlidingContainer:function(){
var _8c=this._popupElement;
_8c.style.position="absolute";
this._showOverlayElement(true);
_8c.firstChild.className="slideContainer";
},_setSlidingContainerResizable:function(_8d){
var _8e=this._resizeElement;
if(this._zone._isVerticalSlide()){
_8e=_8e.parentNode;
}
_8e.style.display=(_8d)?"":"none";
},_setIconsExpandedState:function(){
this._hideAllIcons();
this.getDockIconWrapperElement().style.display=(this.get_enableDock())?"":"none";
this.getDockIconElement().className="slideHeaderDockIcon";
this.getCollapseIconWrapperElement().style.display="";
},_setIconsDockedState:function(){
this._hideAllIcons();
this.getUnDockIconWrapperElement().style.display="";
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_hideAllIcons:function(){
this.getDockIconWrapperElement().style.display="none";
this.getUnDockIconWrapperElement().style.display="none";
this.getCollapseIconWrapperElement().style.display="none";
},_getTitleContainerElement:function(){
return $get("RAD_SLIDING_PANE_TEXT_"+this.get_id());
},_dock:function(){
this._setIconsDockedState();
this._setSlidingContainerResizable(false);
this._dockSlidingContainer();
this._showSlidingContainer();
this._setSlidingContainerSize();
$telerik.repaintChildren(this);
this._isExpanded=false;
this._isDocked=true;
},_undock:function(){
this._isExpanded=false;
this._isDocked=false;
this._hideSlidingContainer();
},_expand:function(){
var _8f=this._zone;
var _90=_8f.getTabsContainer();
var _91=this._popupElement;
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":_90,"keepInScreenBounds":false},null,null,_91);
}
this._unDockSlidingContainer();
var _92=this.get_slidingPaneBounds();
var _93=$telerik.getBounds(_90);
var x=0;
var y=0;
if(_8f.isRightDirection()){
x=_93.width;
if($telerik.isIE){
var _96=$telerik.getCurrentStyle(_90,"borderRightWidth");
if(_96&&!isNaN(parseInt(_96))){
x-=Math.floor(parseInt(_96)/2);
}
}
}else{
if(_8f.isLeftDirection()){
x=-_92.width;
}else{
if(_8f.isBottomDirection()){
y=_93.height;
if($telerik.isIE){
var _97=$telerik.getCurrentStyle(_90,"borderBottomWidth");
if(_97&&!isNaN(parseInt(_97))){
y-=Math.floor(parseInt(_97)/2);
}
}
}else{
if(_8f.isTopDirection()){
y=-_92.height;
}
}
}
}
if($telerik.isSafari){
var _98=this.get_splitter()._borderSize;
x+=_98;
y+=_98;
}
this._setSlidingContainerResizable(this.get_enableResize());
this._setIconsExpandedState();
this._show(x,y);
this._expandSlidingContainer();
this._isExpanded=true;
this._isDocked=false;
},_collapse:function(){
this._isExpanded=false;
this._isDocked=false;
this._collapseSlidingContainer();
},_isMouseInPaneRectangle:function(e){
var _9a=this._popupElement;
var _9b=_9a.offsetWidth;
var _9c=_9a.offsetHeight;
var pos=$telerik.getLocation(_9a);
var _9e=pos.x;
var _9f=pos.y;
var _a0=e.clientX;
var _a1=e.clientY;
if(_a0==-1||_a1==-1){
return true;
}
var _a2=(_9e<=_a0&&(_9e+_9b)>=_a0&&_9f<=_a1&&(_9f+_9c)>=_a1);
return _a2;
},saveClientState:function(){
var _a3={};
var _a4=["width","height","title","enableResize","minWidth","maxWidth","minHeight","maxHeight","enableDock"];
for(var i=0,_a6=_a4.length;i<_a6;i++){
var _a7=_a4[i];
_a3[_a7]=this["get_"+_a7]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_a3);
},_getOverlayElement:function(){
return this._popupElement._hideWindowedElementsIFrame;
},_showOverlayElement:function(_a8){
var _a9=this._getOverlayElement();
if(!_a9){
return;
}
_a9.style.display=_a8?"":"none";
},_moveRootToParent:function(_aa){
var _ab=(_aa)?this._originalParent:this.get_splitter().get_element();
var _ac=this._popupElement;
if(!_ac){
return;
}
var _ad=_ac.parentNode;
if(!_ab||!_ad||_ab.id==_ad.id){
return;
}
_ad.removeChild(_ac);
_ab.appendChild(_ac);
}};
Telerik.Web.UI.RadSlidingPane.registerClass("Telerik.Web.UI.RadSlidingPane",Telerik.Web.UI.SplitterPaneBase);

